/* #############################################################################################
   ####################################   JS SCROLLBAR WIDGET ZP    ############################
   ############################################################################################# */

if (!window.$wzp){window.$wzp = {}}

window.$wzp.scrollProgress = function (sel, opt){
    if (!sel || !opt) {return;}
    const options = {
        backgroundColor: opt.backgroundColor || "#f00",
        height: opt.height || '3px',
        position: opt.position || 'fixed',
        id: opt.id || ''
    };
    const el = document.querySelector(sel);
    const parentHeight = parseInt(document.documentElement.scrollHeight - document.documentElement.clientHeight);
    
    document.addEventListener('scroll', function (){
        const offsettop = document.documentElement.scrollTop;
        const vscrollwidth = offsettop / parentHeight * 100;
        
        el.style.width = vscrollwidth + '%';
    });
    
    el.style.backgroundColor = options.backgroundColor;
    el.style.height = options.height;
    el.style.position = options.position;
    el.classList.add('zpInjectedContent');
    el.setAttribute('data-item-id', options.id)
    document.body.append(el);
};
/* #############################################################################################
   ###################################   ENDE SCROLLBAR WIDGET ZP    ###########################
   ############################################################################################# */
